SD-WAN
16 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getGridSdWanGroup | GET | Get SD-WAN Group Grid. (deprecated) |
| createSdWanGroup | POST | Create SD-WAN Group. |
| deleteSdWanGroup | DELETE | Delete SD-WAN Group. |
| getCurrentSdWanGroup | GET | Get SD-WAN Group. |
| modifySdWanGroup | PUT | Modify SD-WAN Group. |
| firstCheckConnection | GET | First check SD-WAN group connection. |
| autoCreateSdWanGroupName | GET | Auto create group name. |
| getGridSdWanGroupBrief | GET | Get SD-WAN Group Grid brief info. |
| getGridSdWanGroupDevices | POST | Get SD-WAN candidate devices. |
| checkSdWanGroupIpPool | POST | Check SD-WAN IP pool conflict. (deprecated) |
| modifyLanIpRange | PUT | Modify selected LanNetwork IP. |
| modifySdWanGroupNetWorkMap | PUT | Modify SD-WAN Group NAT info. |
| checkModifiedMappedNetwork | POST | Check modified mapped network. |
| autoCreateMappingNetwork | POST | Auto create mapped network. |
| autoSelectWanPortRecommendResult | POST | Auto recommend WAN port. |
| getSdWanGroupDevices | GET | Get current SD-WAN devices. |
getGridSdWanGroup
GET /openapi/v1/{omadacId}/sdwan/sdwan-group
Deprecated
This operation is deprecated.
Get SD-WAN Group Grid.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridSdWanGroup"
}Details, permissions and error codes
Get all SD-WAN Group. This interface has been deprecated. Please use the following interfaces instead: getGridSdWanGroupBrief
The interface requires one of the permissions:
SD WAN View Only
createSdWanGroup
POST /openapi/v1/{omadacId}/sdwan/sdwan-group
Create SD-WAN Group.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema SdWanGroup
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | The name of the SD-WAN group |
description | string | no | The description of the SD-WAN group |
ipPoolStart | string | no | The start of the IP pool of the SD-WAN group, it is recommended to ignore it as it will be generated automatically |
ipPoolEnd | string | no | The end of the IP pool of the SD-WAN group, it is recommended to ignore it as it will be generated automatically |
memberList | array<SdWanMemberConfig> | yes | A list of members of the SD-WAN group |
linkedSpokes | array<SdWanLinkedSpokeConfig> | no | A list of linked-spokes of the SD-WAN group |
enableNat | boolean | yes | Whether the group enable SD-WAN virtual network Map |
natInfo | SdWanNatInfoConfig | no | (SdWanNatInfoConfig not expanded; call omada_get_schema "SdWanNatInfoConfig") |
// omada_call_operation
{
"operationId": "createSdWanGroup",
"body": "{...}"
}Details, permissions and error codes
Create SD-WAN Group.
The interface requires one of the permissions:
SD WAN Modify
deleteSdWanGroup
DELETE /openapi/v1/{omadacId}/sdwan/sdwan-group/{groupId}
Delete SD-WAN Group.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
groupId | path | string | yes | The ID of a SD-WAN Group |
// omada_call_operation
{
"operationId": "deleteSdWanGroup",
"params": {
"groupId": "<groupId>"
}
}Details, permissions and error codes
Delete SD-WAN Group.
The interface requires one of the permissions:
SD WAN Modify
getCurrentSdWanGroup
GET /openapi/v1/{omadacId}/sdwan/sdwan-group/{groupId}
Get SD-WAN Group.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
groupId | path | string | yes | The ID of a SD-WAN Group |
// omada_call_operation
{
"operationId": "getCurrentSdWanGroup",
"params": {
"groupId": "<groupId>"
}
}Details, permissions and error codes
Get SD-WAN Group.
The interface requires one of the permissions:
SD WAN View Only
modifySdWanGroup
PUT /openapi/v1/{omadacId}/sdwan/sdwan-group/{groupId}
Modify SD-WAN Group.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
groupId | path | string | yes | The ID of a SD-WAN Group |
Request body — application/json (required) — schema SdWanGroup
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | The name of the SD-WAN group |
description | string | no | The description of the SD-WAN group |
ipPoolStart | string | no | The start of the IP pool of the SD-WAN group, it is recommended to ignore it as it will be generated automatically |
ipPoolEnd | string | no | The end of the IP pool of the SD-WAN group, it is recommended to ignore it as it will be generated automatically |
memberList | array<SdWanMemberConfig> | yes | A list of members of the SD-WAN group |
linkedSpokes | array<SdWanLinkedSpokeConfig> | no | A list of linked-spokes of the SD-WAN group |
enableNat | boolean | yes | Whether the group enable SD-WAN virtual network Map |
natInfo | SdWanNatInfoConfig | no | (SdWanNatInfoConfig not expanded; call omada_get_schema "SdWanNatInfoConfig") |
// omada_call_operation
{
"operationId": "modifySdWanGroup",
"params": {
"groupId": "<groupId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify SD-WAN Group.
The interface requires one of the permissions:
SD WAN Modify
firstCheckConnection
GET /openapi/v1/{omadacId}/sdwan/sdwan-group/{groupId}/firstCheck
First check SD-WAN group connection.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
groupId | path | string | yes | The ID of a SD-WAN Group |
// omada_call_operation
{
"operationId": "firstCheckConnection",
"params": {
"groupId": "<groupId>"
}
}Details, permissions and error codes
First check the connection between devices in the SD-WAN group.
The interface requires one of the permissions:
SD WAN View Only
autoCreateSdWanGroupName
GET /openapi/v1/{omadacId}/sdwan/sdwan-group/auto/groupName
Auto create group name.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
// omada_call_operation
{
"operationId": "autoCreateSdWanGroupName"
}Details, permissions and error codes
Auto create group name.
The interface requires one of the permissions:
SD WAN View Only
getGridSdWanGroupBrief
GET /openapi/v1/{omadacId}/sdwan/sdwan-group/brief
Get SD-WAN Group Grid brief info.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridSdWanGroupBrief"
}Details, permissions and error codes
Get all SD-WAN Group brief info.
The interface requires one of the permissions:
SD WAN View Only
getGridSdWanGroupDevices
POST /openapi/v1/{omadacId}/sdwan/sdwan-group/candidate/devices
Get SD-WAN candidate devices.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema QuerySdWanCandidateDevice
| Field | Type | Required | Description |
|---|---|---|---|
page | integer | yes | Start from 1. |
pageSize | integer | yes | It should be within the range of 1–1000. |
sorts | object | no | |
searchKey | string | no | Look for a specific piece of data. |
filters | object | no | |
searchField | string | no | |
tunnelLimit | integer | yes | The maximum number of VPN tunnels that can be created. Used to filter devices that meet the minimum supported tunnel count. Only those that support a tunnel count greater than the minimum will be listed. |
groupId | string | no | The ID of the SD-WAN group. |
role | integer | yes | The role in SD-WAN Group. 0:Hub,1:Spoke |
excludeDeviceMacs | array<string> | no | A list of exclude Device MAC for the candidate. |
// omada_call_operation
{
"operationId": "getGridSdWanGroupDevices",
"body": "{...}"
}Details, permissions and error codes
Get SD-WAN candidate devices.
The interface requires one of the permissions:
SD WAN View Only
checkSdWanGroupIpPool
POST /openapi/v1/{omadacId}/sdwan/sdwan-group/ipPool/check
Deprecated
This operation is deprecated.
Check SD-WAN IP pool conflict.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema SdWanIpPoolRange
| Field | Type | Required | Description |
|---|---|---|---|
ipPoolStart | string | yes | The start of the IP pool of the sdWan group. |
ipPoolEnd | string | yes | The end of the IP pool of the sdWan group. |
groupId | string | no | The SD-WAN group ID. |
tunnelLimit | integer | yes | Enter the number of tunnels required by this group to determine if the number of IPs in the IP pool is sufficient. |
// omada_call_operation
{
"operationId": "checkSdWanGroupIpPool",
"body": "{...}"
}Details, permissions and error codes
Check whether the IP pool conflicts with the IP pool of other SD-WAN groups.
The interface requires one of the permissions:
SD WAN View Only
modifyLanIpRange
PUT /openapi/v1/{omadacId}/sdwan/sdwan-group/lan/modify
Modify selected LanNetwork IP.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema ModifyLanNetworkBrief
| Field | Type | Required | Description |
|---|---|---|---|
id | string | yes | The ID of the lan network |
siteId | string | yes | The site ID of the lan network |
name | string | yes | The name of the lan network |
vlan | integer | no | The vlan number of the lan network |
gatewaySubnet | string | yes | The Gateway Subnet of the lan network |
ipaddrStart | string | yes | The starting host IP address of gatewaySubnet |
ipaddrEnd | string | yes | The ending host IP address of gatewaySubnet |
// omada_call_operation
{
"operationId": "modifyLanIpRange",
"body": "{...}"
}Details, permissions and error codes
Modify selected LanNetwork IP.
The interface requires one of the permissions:
SD WAN Modify
modifySdWanGroupNetWorkMap
PUT /openapi/v1/{omadacId}/sdwan/sdwan-group/map/{groupId}
Modify SD-WAN Group NAT info.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
groupId | path | string | yes | The ID of a SD-WAN Group |
Request body — application/json (required) — schema SdWanNatInfoConfig
| Field | Type | Required | Description |
|---|---|---|---|
defaultMapNetworkList | array<string> | no | A list of the default mapping network |
customMapNetworkList | array<string> | no | A list of the customized mapping network |
networkMapList | array<SdWanNatItemConfig> | no | A list of the network map item |
// omada_call_operation
{
"operationId": "modifySdWanGroupNetWorkMap",
"params": {
"groupId": "<groupId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify SD-WAN Group NAT info.
The interface requires one of the permissions:
SD WAN Modify
checkModifiedMappedNetwork
POST /openapi/v1/{omadacId}/sdwan/sdwan-group/map/check
Check modified mapped network.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema CheckMappedNetwork
| Field | Type | Required | Description |
|---|---|---|---|
modifiedNetwork | string | yes | The IP Subnet of the modified network |
memberList | array<SdWanMemberSelected> | yes | A list of members of the SD-WAN group |
mappedNetworks | array<string> | no | A list of current mapped network of the SD-WAN group |
// omada_call_operation
{
"operationId": "checkModifiedMappedNetwork",
"body": "{...}"
}Details, permissions and error codes
Check modified mapped network.
The interface requires one of the permissions:
SD WAN View Only
autoCreateMappingNetwork
POST /openapi/v1/{omadacId}/sdwan/sdwan-group/map/network
Auto create mapped network.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema SdWanSelectedMapNetwork
| Field | Type | Required | Description |
|---|---|---|---|
lanNetworks | array<SdWanLanNetworkNatReq> | no | A list of original lan network |
customNetwork | array<SdWanLanNetworkNatReq> | no | A list of original custom route |
mapNetworkList | array<string> | no | A list of map network range |
memberList | array<SdWanMemberSelected> | no | A list of members of the SD-WAN group |
groupId | string | no | The SD-WAN group ID. |
// omada_call_operation
{
"operationId": "autoCreateMappingNetwork",
"body": "{...}"
}Details, permissions and error codes
Auto create mapped network.
The interface requires one of the permissions:
SD WAN View Only
autoSelectWanPortRecommendResult
POST /openapi/v1/{omadacId}/sdwan/sdwan-group/recommend/wans
Auto recommend WAN port.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema BatchAutoSelectWanPortReq
| Field | Type | Required | Description |
|---|---|---|---|
memberList | array<AutoSelectWanPortReq> | no | A list of the SD-WAN devices which use auto select. |
// omada_call_operation
{
"operationId": "autoSelectWanPortRecommendResult",
"body": "{...}"
}Details, permissions and error codes
Get the result of recommended WAN port with Auto Select.
The interface requires one of the permissions:
SD WAN View Only
getSdWanGroupDevices
GET /openapi/v1/{omadacId}/sdwan/sdwan-group/saved/devices/{groupId}
Get current SD-WAN devices.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
groupId | path | string | yes | The ID of a SD-WAN Group |
// omada_call_operation
{
"operationId": "getSdWanGroupDevices",
"params": {
"groupId": "<groupId>"
}
}Details, permissions and error codes
Get current SD-WAN devices that participate in the networking.
The interface requires one of the permissions:
SD WAN View Only